Subject: Re: [clue] draft-clue-data-channel-07(no, -08) WGLC review -- DanB comments

From: Daniel Burnett <[email-masked]>
Date: Mon, 23 Mar 2015 09:50:50 -0400

Sorry I dropped the ball on a reply here.  For the record, I'm okay with
draft-09 now.  I may still do a typo review that can be handled during IESG
review.

-- dan

On Sat, Feb 21, 2015 at 8:11 AM, Christer Holmberg <
[email-masked]> wrote:

> Hi Dan,
>
> >>> - For novice (IESG) readers, if 'SCTPoDTLS' means something different
> than 'SCTP over
> >>> DTLS', you should add that explanation in section 2 where you define
> 'SCTPoDTLS'.  Otherwise,
> >>> use the same term everywhere.
> >>
> >> Section 2 does say:
> >>
> >>        "SCTPoDTLS association refers to an SCTP association carried
> over an
> >>        DTLS connection [I-D.ietf-tsvwg-sctp-dtls-encaps]."
> >>
> >> I'm not sure I understand what you want me to add?
> >
> > In multiple locations you use "SCTP over DTLS", in quotes, to talk about
> > SCTP over DTLS.  You do define 'SCTPoDTLS > association'.  I'm just
> saying
> > that you should either use 'SCTPoDTLS' or "SCTP over DTLS" everywhere.
> > In the case of the association it would then either be 'SCTPoDTLS
> association'
> > or 'SCTP over DTLS association', whichever you had chosen.  The fact
> that you u
> > se 'SCTPoDTLS' could make someone wonder if you don't mean "SCTP over
> DTLS"
> > when you use it.
>
> Aaaah, now I got it :)
>
> Unless I've missed it, the only place where I use "SCTP over DTLS" is
> where I refer to the SDP data channel negotiation draft.
>
> Of course, I could change all instances of "SCTPoDTLS" to "SCTP over
> DTLS". There are quite a few of them, though, so I think the text could
> become rather clumsy.
>
> Perhaps I could fix this by modifying the section 2 text to:
>
>         "SCTPoDTLS (SCTP over DTLS) association refers to an SCTP
> association
>         carried over ancDTLS connection [I-D.ietf-tsvwg-sctp-dtls-encaps]."
>
> ---------------
>
> >> - Similarly, capitalization of Data Channel, e.g., in 'WebRTC Data
> Channel', is inconsistent.  Pick one style and use it everywhere.
> >
> > I'll use small letters for now. Once the WebRTC data channel draft is
> ready, I'll align.
>
> Just keeping this as a place holder :)
>
> ---------------
>
> Section 1.
>
> >> Do we really want to confuse people with the text
> >> '  NOTE: The usage of the Data Channel Establishment Protocol (DCEP)
> >>   [I-D.ietf-rtcweb-data-protocol] for establishing a CLUE data channel
> >>   is outside the scope of this document. '
> >> in the document since we essentially require use of sdpneg?  Or do we
> actually permit other ways to set up CLUE data
> >> channels?  If we do permit other ways, this text should probably be
> made more generic in explaining that we define only one
> >> way to establish CLUE data channels, do not forbid other ways, but any
> other way (such as DCEP) is out of scope.
> >
> > I think the note is useful, because the WebRTC data channel draft does
> mention DCEP as a mechanism for establishing data
> > channels. And, in my opinion "outside the scope of this document" does
> mean that others can define it :)
> >
> > How about this?  Replace the text I quote above with
> >
> >'  NOTE:  This specification defines only one way to establish data
> channels.  The
> > mechanism defined in this specification is different from the Data
> Channel
> > Establishment Protocol [I-D.ietf-rtcweb-data-protocol] defined for
> WebRTC data
> > channels. Definition and/or usage of any protocol for establishing CLUE
> data channels
> > other than that defined in this specification is out of scope for this
> document.'
>
> I think your suggested text may cause some confusion, because the way I
> read the text, it talks about "WebRTC data channels" and "CLUE data
> channels" as two separate things. WebRTC data channel is a mechanism, and
> the CLUE data channel is a usage of that WebRTC data channel mechanism :)
>
> ---------------
>
> Section 3.
>
> >> I don't know whether it belongs here or in section 1, but it might help
> a novice reader to say a little more about the relationship >> between
> WebRTC data channels and CLUE data channels as context.  Just a few
> sentences might help.  For example, the first
> >> paragraph in 3.1 could be changed to
> >>
> >> 'This section describes the realization of a CLUE data channel using a
> WebRTC data channel.  The WebRTC Data Channel was
> >> developed to provide a simple mechanism for two endpoints, for example
> two web browsers, to establish channels for carrying
> >> arbitrary data.  The WebRTC Data Channel accomplishes this by creating
> SCTP streams over a DTLS connection.  The details are
> >> described in [I-D.ietf-rtcweb-data-channel].  Additional items need to
> be defined in order to use a WebRTC data channel as a
> >> CLUE data channel:  a set of SCTP characteristics specific to a CLUE
> data channel, the values of the m- line describing the
> >> SCTPoDTLS association associated with the WEBRTC Data Channel, and the
> usage of the SDP-based "SCTP over DTLS" data
> >> channel negotiation mechanism for creating the CLUE data channel.'
> >
> > I can do the modification in -09.
>
> I had a closer look at this, and compared it to the existing text in the
> draft, and I'd like to suggest a little different version.
>
> First, section 1 already says:
>
>         "This document defines how to use the WebRTC data channel
> mechanism in order to realized a data channel,
>         Referred to as CLUE data channel, for transporting CLUE protocol
> messages between two CLUE endpoints."
>
> So, I think the "relationship is already there".
>
> In addition, section 1 also talks about usage of SCTP over DTLS.
>
> So, my suggestion would be to only modify the first sentence in section
> 3.1 to:
>
>         "This section describes the realization of a CLUE data channel,
> using the WebRTC data channel mechanism."
>
> ...and keep the rest as it is.
>
> Regards,
>
> Christer
>
>